#pragma once

class Store;
class Ship;

class PrintVisitor {
public:
    virtual ~PrintVisitor() = default;
    virtual void visit(const Store&) const = 0;
    virtual void visit(const Ship&) const = 0;
};
